prep for near final builds
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
index 543a8d6..4236889 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
@@ -5,9 +5,10 @@
 
 function usage() {
     printf "\n\tUsage: %s [-h] | [-v] [-c] -s stream" $(basename $0) >&2
-    printf "\n\t\t%s\n\n" "where h==help, v==verbose, c==clean and s==stream, where steam is GANYMEDE, etc" >&2 
+    printf "\n\t\t%s\n\n" "where h==help, v==verbose, c==clean and s==stream, where steam is Ganymede, Europa, etc" >&2 
 }
 
+
 clean=
 stream=
 buildrepositorypath=
@@ -29,6 +30,13 @@
 
 shift $(($OPTIND - 1))
 
+if [ -z $stream ]
+  echo ""
+  echo "    Need a stream argument"
+  usage
+  exit 1
+fi 
+
 if [ -z $BUILD_INITIALIZED ]
 then
   source properties.shsource